///////////////////////////////////////////////////////////////////////////
////   Library for a Dallas 1621 Temperature chip                      ////
////                                                                   ////
////   init_temp();          Call before the other functions are used  ////
////                                                                   ////
////   d = read_temp();      Read the temerature in degrees (0-255)    ////
////                                                                   ////
///////////////////////////////////////////////////////////////////////////
////        (C) Copyright 1996,1997 Custom Computer Services            ////
//// This source code may only be used by licensed users of the CCS C   ////
//// compiler.  This source code may only be distributed to other       ////
//// licensed users of the CCS C compiler.  No other use, reproduction  ////
//// or distribution is permitted without written permission.           ////
//// Derivative programs created using this software in object code     ////
//// form are not restricted in any way.                                ////
////////////////////////////////////////////////////////////////////////////

#separate
void i2cstart()
{
	i2c_start();
}

/*
i2cwrite( byte wert)
{
	i2c_write( wert );
} 
*/

void i2cstop( )
{
	i2c_stop();	
}

/*
byte i2cread( )
{
	return i2c_read();
}
*/

void temp_config(byte data) {
	
   	i2cstart();
   	i2c_write(0x90);
   	i2c_write(0xac);
   	i2c_write(data);
   	i2cstop();
   	delay_ms(11);
}


void init_temp() {
   output_high(i2c_sda);
   output_high(i2c_scl);
  
   // temp_config(9);	// 8 kontinuierlich 9 Einzelmessung
}

// startet Temperaturmessung und kehrt sofort zurck
// Messdauer maximal 1s
void start_temp()
{		
   	i2cstart();
	i2c_write(0x90);
	i2c_write(0xee);
	i2cstop();
}


// liest Temperatur aus
// keine Prfung ob Messung noch luft
byte read_temp()
{
byte datah,datal;

	i2cstart();
	i2c_write(0x90);
	i2c_write(0xaa);
	i2cstart();
   	i2c_write(0x91);
   	datah=i2c_read();
   	datal=i2c_read(0);
   	i2cstop();
  	return(datah);
}


// startet Temperaturmessung und wartet auf Ende
byte read_temp_b()
{        
byte datah,datal;
   
   	i2cstart();
	i2c_write(0x90);
	i2c_write(0xee);
	i2cstop();

	delay_ms(1000);

	i2cstart();
	i2c_write(0x90);
	i2c_write(0xaa);
	i2cstart();
   	i2c_write(0x91);
   	datah=i2c_read();
   	datal=i2c_read(0);
   	i2cstop();

   return(datah);
}


